<?php

namespace Modules\Sd\Http\Controllers;

use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\Sd\Entities\ShippingAgent;

class SettingController extends Controller
{
    public function save(Request $request)
    {
        try {
            $object = new ShippingAgent();
            $object->code = $request->get('shipping_code');
            $object->name = $request->get('Shipping_name');
            $object->address = $request->get('shipping_address');
            $object->contact_person = $request->get('contact_person');
            $object->fixed_no = $request->get('fixed_no');
            $object->mobile_no = $request->get('mobile_no');
            $object->status = true;
            $save = $object->save();

            if ($save) {
                $responseBody = $this->responseBody(true, "SettingController", "saved", true);
            }
        } catch (\Exception $exception) {
            $responseBody = $this->responseBody(false, "SettingController", "error", $exception);
        }
        return response()->json(["data" => $responseBody]);
    }


    public function updateShippingAgentData(Request $request, $id)
    {

        try {
            $shipment = ShippingAgent::find($id);
            $shipment->code = $request->get('shipping_code');
            $shipment->name = $request->get('Shipping_name');
            $shipment->address = $request->get('shipping_address');
            $shipment->contact_person = $request->get('contact_person');
            $shipment->fixed_no = $request->get('fixed_no');
            $shipment->mobile_no = $request->get('mobile_no');
            $shipment->update();
            $responseBody = $this->responseBody(true, "SettingsController", "updateShippingAgentData", true);
        } catch (\Exception $exception) {
            $responseBody = $this->responseBody(false, "SettingsController", "error", $exception);
        }
        return response()->json(["data" => $responseBody]);
    }

    public function getAllShippingData()
    {
        try {
            $shipping = ShippingAgent::all();
            $responseBody = $this->responseBody(true, "SettingController", "getAllMaterialType", $shipping);
        } catch (\Exception $exception) {
            $responseBody = $this->responseBody(false, "SettingController", "error", null);
        }
        return response()->json(["data" => $responseBody]);

    }

    public function getShippingData($id)
    {
        try {
            $material = ShippingAgent::find($id);
            $responseBody = $this->responseBody(true, "SettingsController", "getMaterialType", $material);
        } catch (\Exception $exception) {
            $responseBody = $this->responseBody(false, "SettingsController", "error", null);
        }
        return response()->json(["data" => $responseBody]);

    }

    /**
     * responseBody
     * This is used to create response.
     * @param success This is the paramter require boolean
     * @param name This is the paramter require ui table name
     * @param message This is the paramter require message content
     * @param result This is the paramter require result as some of data to return client
     * @return Json This returns as response.
     */
    private function responseBody($success, $name, $message, $result)
    {
        $body = [
            "success" => $success,
            "message" => $message,
            "name" => $name,
            "result" => $result
        ];
        return $body;
    }
}
