<?php

use Illuminate\Support\Facades\Route;
use Modules\Sd\Http\Controllers\BlInstructionController;
use Modules\Sd\Http\Controllers\ClearanceDocumentUsaController;
use Modules\Sd\Http\Controllers\CustomerOrderController;
use Modules\Sd\Http\Controllers\CustomerOrderListController;
use Modules\Sd\Http\Controllers\CustomerOrderStatusListController;
use Modules\Sd\Http\Controllers\CustomerOrderThreadController;
use Modules\Sd\Http\Controllers\ReleaseOrderController;
use Modules\Sd\Http\Controllers\SettingController;
use Modules\Sd\Http\Controllers\SvrController;
use Modules\Sd\Http\Controllers\VesselAvailabilityController;
use Modules\Sd\Http\Controllers\VesselScheduledController;
use Modules\Sd\Http\Controllers\ShipmentController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('sd')->group(function () {
    Route::get(
        '/dashboard',
        function () {
            return view('sd::dashboard');
        }
    )->middleware('is.logged');

    Route::get(
        '/orderList',
        function () {
            return view('sd::orderList');
        }
    )->middleware('is.logged');

    Route::get(
        '/customerOrder',
        function () {
            return view('sd::customerOrder');
        }
    )->middleware('is.logged');

    Route::get(
        '/orderStatusList',
        function () {
            return view('sd::orderStatusList');
        }
    )->middleware('is.logged');

    Route::get(
        '/vesselSchedule',
        function () {
            return view('sd::vesselSchedule');
        }
    )->middleware('is.logged');

    Route::get(
        '/vesselScheduleList',
        function () {
            return view('sd::vesselScheduleList');
        }
    )->middleware('is.logged');

    Route::get(
        '/vesselScheduleList/{id}',
        function () {
            return view('sd::vesselScheduleList');
        }
    )->middleware('is.logged');

    Route::get(
        '/shipmnet',
        function () {
            return view('sd::shipmnet');
        }
    )->middleware('is.logged');

    Route::get(
        '/settings',
        function () {
            return view('sd::settings');
        }
    )->middleware('is.logged');

    Route::get(
        '/releaseOrder',
        function () {
            return view('sd::releaseOrder');
        }
    )->middleware('is.logged');

    Route::get(
        '/releaseOrderList',
        function () {
            return view('sd::releaseOrderList');
        }
    )->middleware('is.logged');

    Route::get(
        '/releaseOrderList/{id}',
        function () {
            return view('sd::releaseOrderList');
        }
    )->middleware('is.logged');

    Route::get(
        '/blInstruction',
        function () {
            return view('sd::blInstruction');
        }
    )->middleware('is.logged');

    Route::get(
        '/blInstructionList',
        function () {
            return view('sd::blInstructionList');
        }
    )->middleware('is.logged');

    Route::get(
        '/blInstructionList/{id}',
        function () {
            return view('sd::blInstructionList');
        }
    )->middleware('is.logged');

    Route::get(
        '/clearanceDocumentsUsa',
        function () {
            return view('sd::clearanceDocumentsUsa');
        }
    )->middleware('is.logged');

    Route::get(
        '/clearanceDocumentsUsaList',
        function () {
            return view('sd::clearanceDocumentsUsaList');
        }
    )->middleware('is.logged');

    Route::get(
        '/clearanceDocumentsUsaList/{id}',
        function () {
            return view('sd::clearanceDocumentsUsaList');
        }
    )->middleware('is.logged');

    /** svrController */
    Route::get('/svr/date', [SvrController::class, 'serverDate']);
    /** End svrController */

    /** Customer Order List Controller */
    Route::get('/customerOrderList/allCustomerOrder/{year}/{month}', [CustomerOrderListController::class, 'allCustomerOrder']);

    Route::post('/customerOrderList/uploadAvailabilityAttachment', [VesselAvailabilityController::class, 'uploadAvailabilityAttachment']);
    Route::get('/customerOrderList/allAvailabilityAttachment/{id}', [VesselAvailabilityController::class, 'allAvailabilityAttachment']);
    Route::get('/customerOrderList/getAvailabilityHeader/{id}', [VesselAvailabilityController::class, 'getAvailabilityHeader']);
    Route::post('/customerOrderList/saveAvailability', [VesselAvailabilityController::class, 'saveAvailability']);
    Route::get('/customerOrderList/load_saved_availability/{id}', [VesselAvailabilityController::class, 'load_saved_availability']);

    Route::post('/customerOrderList/uploadScheduleAttachment', [VesselScheduledController::class, 'uploadScheduleAttachment']);
    Route::get('/customerOrderList/allScheduleAttachment/{id}', [VesselScheduledController::class, 'allScheduleAttachment']);
    Route::get('/customerOrderList/getScheduleHeader/{id}', [VesselScheduledController::class, 'getScheduleHeader']);
    Route::post('/customerOrderList/saveSchedule', [VesselScheduledController::class, 'saveSchedule']);
    Route::get('/customerOrderList/load_saved_schedule/{id}', [VesselScheduledController::class, 'load_saved_schedule']);
    /** End Of Customer Order List Controller */

    /** Customer Order Status List Controller */
    Route::get('/CustomerOrderStatusListController/allCustomerOrder/{year}/{month}', [CustomerOrderStatusListController::class, 'allCustomerOrder']);
    Route::post('/CustomerOrderStatusListController/shipping_status', [CustomerOrderStatusListController::class, 'shipping_status']);
    /** End Of Customer Order Status List Controller */

    /** Customer Order */
    Route::get('/customerOrder/allCustomer', [CustomerOrderController::class, 'allCustomers']);
    Route::get('/customerOrder/getCustomer/{id}', [CustomerOrderController::class, 'SelectedCustomersData']);
    Route::get('/customerOrder/allCountries', [CustomerOrderController::class, 'allCountries']);
    Route::get('/customerOrder/allShippingTerms', [CustomerOrderController::class, 'allShippingTerms']);
    Route::get('/customerOrder/allDrainHoleSize', [CustomerOrderController::class, 'allDrainHoleSize']);
    Route::get('/customerOrder/allDrainHoleShape', [CustomerOrderController::class, 'allDrainHoleShape']);
    Route::get('/customerOrder/allProductMix', [CustomerOrderController::class, 'allProductMix']);
    Route::get('/customerOrder/allWashedLevel', [CustomerOrderController::class, 'allWashedLevel']);
    Route::get('/customerOrder/allOrderDataWithToken/{id}/{token}/{action}', [CustomerOrderController::class, 'allOrderDataWithToken']);
    Route::get('/customerOrder/allOrderData/{id}', [CustomerOrderController::class, 'allOrderData']);
    Route::get('/customerOrder/getCustomerAllOrderData/{id}', [CustomerOrderController::class, 'getCustomerAllOrderData']);
    Route::get('/customerOrder/getCustomerOrderData/{id}', [CustomerOrderController::class, 'getCustomerOrderData']);
    Route::get('/customerOrder/getCustomerMainOrder/{id}', [CustomerOrderController::class, 'getCustomerMainOrder']);
    Route::get('/customerOrder/allAttachment/{id}', [CustomerOrderController::class, 'allAttachment']);
    Route::get('/customerOrder/allAttachmentEditViewMode/{id}', [CustomerOrderController::class, 'allAttachmentEditViewMode']);
    Route::post('/customerOrder/saveOrderData', [CustomerOrderController::class, 'saveOrderData']);
    Route::post('/customerOrder/updateOrderData/{id}', [CustomerOrderController::class, 'updateOrderData']);
    Route::post('/customerOrder/saveCustomerOrder', [CustomerOrderController::class, 'saveCustomerOrder']);
    Route::post('/customerOrder/updateCustomerOrder/{id}', [CustomerOrderController::class, 'updateCustomerOrder']);

    Route::delete('/customerOrder/deleteOrderData/{id}', [CustomerOrderController::class, 'deleteOrderData']);
    Route::delete('/customerOrder/deleteAttachment/{id}', [CustomerOrderController::class, 'deleteAttachment']);
    Route::post('/customerOrder/uploadAttachment', [CustomerOrderController::class, 'uploadAttachment']);
    Route::get('/customerOrder/checkOrderStatus/{id}', [CustomerOrderController::class, 'checkOrderStatus']);
    Route::get('/customerOrder/customerAllDeliveryAddress/{id}', [CustomerOrderController::class, 'customerAllDeliveryAddress']);
    Route::get('/customerOrder/isDuplicateFactoryPO/{id}', [CustomerOrderController::class, 'isDuplicateFactoryPO']);
    Route::post('/customerOrder/saveAttachmentViewOrder', [CustomerOrderController::class, 'saveAttachmentViewOrder']);
    /** End Customer Order */

    /** Customer Order Thread */
    Route::post('/customerOrderThread/submit', [CustomerOrderThreadController::class, 'submit']);
    Route::get('/customerOrderThread/loadCustomerOrderThread/{order_id}', [CustomerOrderThreadController::class, 'loadCustomerOrderThread']);
    /** End of Customer Order Thread  */

    /** Vessel Schedule */
    Route::get('/VesselScheduledController/getFactoryOrderNo', [VesselScheduledController::class, 'getFactoryOrderNo']);
    Route::get('/VesselScheduledController/getCustomerOrderData/{id}', [VesselScheduledController::class, 'getCustomerOrderData']);
    Route::post('/VesselScheduled/saveSchedule', [VesselScheduledController::class, 'saveSchedule']);
    Route::get('/vesselSchedule/allSchedule', [VesselScheduledController::class, 'getScheduleData']);
    Route::get('/VesselSchedule/getCurrencyPrimaryID', [VesselScheduledController::class, 'getCurrencyPrimaryID']);
    Route::get('/VesselScheduleController/getVsData/{id}', [VesselScheduledController::class, 'getVsData']);
    Route::delete('/vesselScheduleController/deleteScheduleAttachment/{id}', [VesselScheduledController::class, 'deleteScheduleAttachment']);
    Route::post('/VesseSchedulelController/update/{id}', [VesselScheduledController::class, 'updateSchedule']);
    Route::delete('/VesselScheduleController/delete/{id}', [VesselScheduledController::class, 'deleteSchedule']);

    Route::get('/VesselScheduleController/genarateExternalID', [VesselScheduledController::class, 'genarateExternalID']);

    /** End of Vessel Schedule  */

    /** Shipment */
    Route::get('/shipment/allShipment', [ShipmentController::class, 'allShipment']);
    Route::get('/shipment/getOrderNo', [ShipmentController::class, 'getOrderNo']);
    Route::post('/shipment/saveSchedule', [ShipmentController::class, 'saveSchedule']);
    Route::get('/shipment/genarateExternalID', [ShipmentController::class, 'genarateExternalID']);
    Route::get('/shipment/getShipmentData/{id}', [ShipmentController::class, 'getShipmentData']);
    Route::post('/shipment/update/{id}', [ShipmentController::class, 'update']);
    Route::delete('/shipment/delete/{id}', [ShipmentController::class, 'deleteShipmentData']);

    // check vessel shedule availability
    Route::get('/shipment/vsCheckAvailability/{id}', [ShipmentController::class, 'vsCheckAvailability']);
    Route::get('/shipment/roCheckAvailability/{id}', [ShipmentController::class, 'roCheckAvailability']);
    Route::get('/shipment/biCheckAvailability/{id}', [ShipmentController::class, 'biCheckAvailability']);

    /** End of Shipment */


    /** Settings */

    Route::post('/SettingsController/saveShippingAgent', [SettingController::class, 'save']);
    Route::put('/SettingsController/updateShippingAgentData/{id}', [SettingController::class, 'updateShippingAgentData']);
    Route::get('/SettingsController/getAllShippingData', [SettingController::class, 'getAllShippingData']);
    Route::get('/SettingsController/getShippingData/{id}', [SettingController::class, 'getShippingData']);

    /** End of Settings */


    /** Release Order */
    Route::get('/releaseOrderController/getShipmentData', [ReleaseOrderController::class, 'getShipmentData']);
    Route::get('/releaseOrderController/getShippingAgentData', [ReleaseOrderController::class, 'getShippingAgentData']);
    Route::get('/releaseOrderController/getCustomerOrderData/{id}', [ReleaseOrderController::class, 'getCustomerOrderData']);
    Route::post('/releaseOrderController/uploadScheduleAttachment', [ReleaseOrderController::class, 'uploadScheduleAttachment']);
    Route::get('/releaseOrderController/allScheduleAttachment/{id}', [ReleaseOrderController::class, 'allScheduleAttachment']);
    Route::delete('/releaseOrderController/deleteScheduleAttachment/{id}', [ReleaseOrderController::class, 'deleteScheduleAttachment']);
    Route::post('/releaseOrderController/saveReleaseOrder', [ReleaseOrderController::class, 'saveReleaseOrder']);
    Route::get('/releaseOrderController/allSchedule', [ReleaseOrderController::class, 'getReleaseOrderData']);
    Route::get('/releaseOrderController/getRoData/{id}', [ReleaseOrderController::class, 'getRoData']);
    Route::post('/releaseOrderController/update/{id}', [ReleaseOrderController::class, 'updateReleaseOrder']);
    Route::delete('/releaseOrderController/delete/{id}', [ReleaseOrderController::class, 'deleteReleaseOrder']);
    /** End of Release Order */


    /** Bl Instructions */
    Route::get('/blInstructionController/getShipmentData', [BlInstructionController::class, 'getShipmentData']);
    Route::get('/blInstructionController/getShippingAgentData', [BlInstructionController::class, 'getShippingAgentData']);
    Route::get('/blInstructionController/getCustomerOrderData/{id}', [BlInstructionController::class, 'getCustomerOrderData']);
    Route::post('/blInstructionController/uploadScheduleAttachment', [BlInstructionController::class, 'uploadScheduleAttachment']);
    Route::get('/blInstructionController/allScheduleAttachment/{id}', [BlInstructionController::class, 'allScheduleAttachment']);
    Route::delete('/blInstructionController/deleteScheduleAttachment/{id}', [BlInstructionController::class, 'deleteScheduleAttachment']);
    Route::post('/blInstructionController/saveBlInstruction', [BlInstructionController::class, 'saveBlInstruction']);
    Route::get('/blInstructionController/allSchedule', [BlInstructionController::class, 'getBlInstructionData']);
    Route::get('/blInstructionController/getRoData/{id}', [BlInstructionController::class, 'getRoData']);
    Route::post('/blInstructionController/update/{id}', [BlInstructionController::class, 'updateBlInstruction']);
    Route::delete('/blInstructionController/delete/{id}', [BlInstructionController::class, 'deleteReleaseOrder']);
    /** End of Bl Instructions */


    /** Clearance Document USA */
    Route::get('/clearanceDocumentsUsa/getShipmentData', [ClearanceDocumentUsaController::class, 'getShipmentData']);
    Route::get('/clearanceDocumentsUsa/getShippingAgentData', [ClearanceDocumentUsaController::class, 'getShippingAgentData']);
    Route::get('/clearanceDocumentsUsa/getCustomerOrderData/{id}', [ClearanceDocumentUsaController::class, 'getCustomerOrderData']);
    Route::post('/clearanceDocumentsUsa/uploadScheduleAttachment', [ClearanceDocumentUsaController::class, 'uploadScheduleAttachment']);
    Route::get('/clearanceDocumentsUsa/allScheduleAttachment/{id}', [ClearanceDocumentUsaController::class, 'allScheduleAttachment']);
    Route::delete('/clearanceDocumentsUsa/deleteScheduleAttachment/{id}', [ClearanceDocumentUsaController::class, 'deleteScheduleAttachment']);
    Route::post('/clearanceDocumentsUsa/saveCdUsa', [ClearanceDocumentUsaController::class, 'saveCdUsa']);
    Route::get('/clearanceDocumentsUsa/allSchedule', [ClearanceDocumentUsaController::class, 'getCDUsaAllData']);
    Route::get('/clearanceDocumentsUsa/getCdDocumentData/{id}', [ClearanceDocumentUsaController::class, 'getCdDocumentData']);
    Route::post('/clearanceDocumentsUsa/update/{id}', [ClearanceDocumentUsaController::class, 'updateCdUsa']);
    Route::delete('/clearanceDocumentsUsa/delete/{id}', [ClearanceDocumentUsaController::class, 'deleteCdUsa']);
    /** End of Clearance Document USA */




});
